# Created by pyp2rpm-3.3.6
%global pypi_name gatt

Name:           python-%{pypi_name}
Version:        0.2.7
Release:        10%{?dist}
Summary:        Bluetooth GATT SDK for Python

License:        MIT
URL:            https://github.com/getsenic/gatt-python
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}



%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{_bindir}/gattctl
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/gattctl.py
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Sat Jul 30 2022 yoda - 0.2.7-7
- No change
* Sun Apr 18 2021 yoda - 0.2.7-6
- Refreshed to python 3.11
* Sun Apr 18 2021 yoda - 0.2.7-5
- Initial package.
